import { apiClient } from '@/src/lib/api/api-client';
import { getSession } from 'next-auth/react';
import ApiClientServer from '../ApiClientServer';

export const login = async (email: string, password: string, remember: boolean,headers: any) => {
    try {      
        const response = await ApiClientServer.post('chat/login', {
            email: email,
            password: password
        }, { headers });
        return response;
    } catch (error) {
        return { data: null, error: error,status:500};
    }
}

export const logout = async () => {
    try {
        const response = await apiClient.get('chat/logout');
        return response.data;
    } catch (error) {
        return { data: null, error: error ,status:500};
    }
}

export const csrfCookie = async () => {
    return await apiClient.get('sanctum/csrf-cookie');
}

export const validateAuthenticationBack = async () => {
    try {
        const response = await apiClient.get('chat/user');
        return response;
    } catch (error) {
        return { data: null, error: error ,status:500};
    }
}

export const validateAuthentication = async () => {
    const session = await getSession();
    if (session) {
        return true
    }
    return false
}

export const validatePingBack = async () => {
    let validate;
    try {
        validate = await apiClient.get('chat/ping');
    } catch (error) {
        validate = { status: 401 };
    }
    return validate
}